body {
	margin: 0;
	padding: 0;
}

#mymessage, #mymessage * {
	margin: 0;
	padding: 0;
}

#mymessage {
	z-index: 2147483648;
	background-color: rgba(10,10,10, 0.6);
	top: 0;
	position: fixed;
	width: 100%;
	height: 100%;
	overflow: auto;
}

#mymessage.show {
	-webkit-animation: mymessage_show 0.3s;
	animation: mymessage_show 0.3s;
}
@-webkit-keyframes mymessage_show {
	from { opacity: 0; }
	to { opacity: 1; }
}
@keyframes mymessage_show {
	from { opacity: 0; }
	to { opacity: 1; }
}
#mymessage.show #mymessage_content {
	-webkit-animation: mymessage_content_show 0.3s;
	animation: mymessage_content_show 0.3s;
}
@-webkit-keyframes mymessage_content_show {
	from { margin-top: 60px; }
	to { margin-top: 80px; }
}
@keyframes mymessage_content_show {
	from { margin-top: 60px; }
	to { margin-top: 80px; }
}
#mymessage.closing {
	-webkit-animation: mymessage_closing 0.3s;
	animation: mymessage_closing 0.3s;
}
@-webkit-keyframes mymessage_closing {
	from { opacity: 1; }
	to { opacity: 0; }
}
@keyframes mymessage_closing {
	from { opacity: 1; }
	to { opacity: 0; }
}
#mymessage.closing #mymessage_content {
	-webkit-animation: mymessage_content_closing 0.3s;
	animation: mymessage_content_closing 0.3s;
}
@-webkit-keyframes mymessage_content_closing {
	from { margin-top: 80px; }
	to { margin-top: 60px; }
}
@keyframes mymessage_content_closing {
	from { margin-top: 80px; }
	to { margin-top: 60px; }
}

#mymessage_content {
	background-color: rgb(235,235,235);
	box-shadow: 0px 0px 33px 5px rgba(0,0,0,0.5);
	width: 596px;
	max-width: 700px;
	margin: auto;
	margin-top: 80px;
	padding: 10px;
	color: black;
	border-radius: 5px;
}

#mymessage_main {
	margin-bottom: 20px;
	margin-top: 10px;
	display: grid;
	grid-template-columns: calc(100% - 40px) 40px;
}

#mymessage_title {
	font-weight: bold;
	margin-left: 10px;
	font-size: 20px;
}

#mymessage_x {
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	font-size: 30px;
	margin-top: -13px;
	margin-left: auto;
	text-align: center;
	float: right;
	cursor: pointer;
	width: 27px;
	padding-top: 1px;
	padding-bottom: 1px;
	padding-right: 5px;
	padding-left: 5px;
}

#mymessage_text {
	padding-left: 20px;
	padding-top: 20px;
	padding-right: 20px;
	grid-column-start: 1;
	grid-column-end: 3;
}

#mymessage_text > img {
	width: 100%;
}

#mymessage_buttons {
	text-align: right;
	margin-top: 10px;
}

#mymessage_button1:disabled, #mymessage_button2:disabled {
	cursor: wait;
}

#mymessage_button1 {
	background-color: white;
	color: #555;
	border: 1px solid #555;
}

#mymessage_button1:enabled:active {
	background-color: #555;
	color: white;
	border: 1px solid white;
}

#mymessage_button2 {
	background-color: white;
	color: #555;
	border: 1px solid #555;
}

#mymessage_button2:enabled:active {
	background-color: #555;
	color: white;
	border: 1px solid white;
}

#mymessage_button1, #mymessage_button2 {
	font-size: 12px;
	font-weight: bold;
	margin-right: 20px;
	margin-bottom: 10px;
	border-radius: 2px;
	padding:  6px 20px 6px 20px;
	transition: 0.2s;
	cursor: pointer;
	-webkit-appearance: none;
	appearance: none;
}

@media screen and (max-width: 600px)
{
	#mymessage_content {
		width: 60%;
	}
}

@media screen and (max-width: 450px)
{
	#mymessage_content {
		width: 80%;
	}
}

@media screen and (max-width: 300px)
{
	#mymessage_button1, #mymessage_button2 {
		margin-right: 10px;
	}

	#mymessage_title {
		font-size: 18px;
	}
}
